name: unix
version: 2.7.1.0
id: unix-2.7.1.0-343d4f566f30113da92e819f4a148640
key: unix_KZL8h98IqDM57kQSPo1mKx
license: BSD3
maintainer: libraries@haskell.org
homepage: https://github.com/haskell/unix
synopsis: POSIX functionality
description:
    This package gives you access to the set of operating system
    services standardised by POSIX 1003.1b (or the IEEE Portable
    Operating System Interface for Computing Environments -
    IEEE Std. 1003.1).
    .
    The package is not supported under Windows (except under Cygwin).
category: System
exposed: True
exposed-modules:
    System.Posix System.Posix.ByteString System.Posix.Error
    System.Posix.Resource System.Posix.Time System.Posix.Unistd
    System.Posix.User System.Posix.Signals System.Posix.Signals.Exts
    System.Posix.Semaphore System.Posix.SharedMem
    System.Posix.ByteString.FilePath System.Posix.Directory
    System.Posix.Directory.ByteString System.Posix.DynamicLinker.Module
    System.Posix.DynamicLinker.Module.ByteString
    System.Posix.DynamicLinker.Prim
    System.Posix.DynamicLinker.ByteString System.Posix.DynamicLinker
    System.Posix.Files System.Posix.Files.ByteString System.Posix.IO
    System.Posix.IO.ByteString System.Posix.Env
    System.Posix.Env.ByteString System.Posix.Fcntl System.Posix.Process
    System.Posix.Process.Internals System.Posix.Process.ByteString
    System.Posix.Temp System.Posix.Temp.ByteString
    System.Posix.Terminal System.Posix.Terminal.ByteString
hidden-modules: System.Posix.Directory.Common
                System.Posix.DynamicLinker.Common System.Posix.Files.Common
                System.Posix.IO.Common System.Posix.Process.Common
                System.Posix.Terminal.Common
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/unix_KZL8h98IqDM57kQSPo1mKx
library-dirs: /usr/lib/ghc-7.10.3/unix_KZL8h98IqDM57kQSPo1mKx
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/unix-2.7.1.0
hs-libraries: HSunix-2.7.1.0-KZL8h98IqDM57kQSPo1mKx
extra-libraries:
    rt util dl pthread
include-dirs: /usr/lib/ghc-7.10.3/unix_KZL8h98IqDM57kQSPo1mKx/include
includes:
    HsUnix.h execvpe.h
depends:
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
    bytestring-0.10.6.0-c60f4c543b22c7f7293a06ae48820437
    time-1.5.0.1-edbd1a50e7922b396ada189ab8e8523b
haddock-interfaces: /usr/share/doc/ghc/html/libraries/unix-2.7.1.0/unix.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/unix-2.7.1.0
